$ErrorActionPreference = 'Stop';

$packageName = 'SwissFileKnife'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.9.6.0/sfk196.exe/download'
$url64      = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.9.6.0/sfk196.exe/download'

$installerPackage = Join-Path $toolsDir "sfk.exe";

$packageArgs = @{
  packageName   = $packageName
  fileFullPath  = $installerPackage
  url           = $url
  url64bit      = $url64

  checksum      = '716fa9461187854ff4482d2f6582b3a78989278252f0ae376ecd99ab1a36739a'
  checksumType  = 'sha256'
  checksum64    = '716fa9461187854ff4482d2f6582b3a78989278252f0ae376ecd99ab1a36739a'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
